CoCoA-5 - Design #1496

Use "special”” names for variables inside tests
02 Oct 2020 11:53 - John Abbott

Status: In Progress Start date: 02 Oct 2020
Priority: Low Due date:

Assignee: % Done: 10%
Category: enhancing/improving Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 0.90 hour
Description

To avoid problems with name clashes the names of variables inside test scripts these variable should have "special" names (which
are unlikely to clash).

Discuss, implement.

Related issues:
Related to CoCoA-5 - Bug #1294: CoCoA-5 tests may fail even if executed corre... Closed 06 Jun 2019

History

#1 - 02 Oct 2020 11:53 - John Abbott
- Related to Bug #1294: CoCoA-5 tests may fail even if executed correctly added

#2 - 02 Oct 2020 11:54 - John Abbott
COPIED FROM COMMENT 3 in #1294

One possibility is simply to use names which start with underscore: this is allowed and was used in CoCoA4 for something (hidden package values?).
Perhaps even double underscore? That would be quite unusual but not impinge too badly on readability.

It might be nicer to use names which depend on the test file: e.g. in exbugs.cocoa5 we could use names like exbug_f. This reduces the chance of a
name clash, but also reduces readability.

#3 - 02 Oct 2020 12:00 - John Abbott

Here is a list of the tests: we can remove the ones which have been checked/updated.

anna.cocoab
AnonFunc.cocoab
bug-EvalTwice.cocoab
demo-GeMiTo2011.cocoab
demo-0Osaka2015.cocoab
ErrMesg.cocoab
exbugs.cocoab
exsegv.cocoab
ExtLibNORMALIZ.cocoab
INACTIVE-packages.cocoab
INACTIVE-parameters.cocoab
INACTIVE-protection.cocoab
lecture-HF1l.cocoab
lecture-HF2.cocoab
lecture-HF3.cocoab
lecture-HF4.cocoab
primary.cocoab
quine.cocoab
radicalOdim.cocoab
radical.cocoab
RealRoots.cocoab
SourceAnna.cocoab
tagging.cocoab
test-ApproxSolve.cocoab
test-FactorAlgExt.cocoab
test-HomomorphismOps.cocoab
test-implicit.cocoab
test-manual.cocoab
test-output.cocoab
test-PrimaryDecompositionO.cocoab
test-toric.cocoab
tricky-references.cocoab
tut-CoCoLAl.cocoab
tut-CoCoLA2.cocoab
tut-CoCoLA3.cocoab
tut-CoCoLA4.cocoab
TutHokkaido2.cocoab
TutHokkaido3.cocoab
TutHokkaido4.cocoab
TutHokkaido5.cocoab
whatiscocoa.cocoab

#4 - 10 Nov 2021 19:49 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

| have decided to "test" the idea of putting a single underscore at the start of names.

| have just modified bug-EvalTwice.cocoa5 so that we can see how a test using "funny names" looks (and how readable it is).

Will check in shortly.

#5 - 12 Nov 2021 10:06 - John Abbott

- Priority changed from Normal to Low

- Target version changed from CoCo0A-5.4.0 to CoCoA-5.4.2

Anna is reasonably convinced by the idea. She made some alternative proposals:

e use all capital letters for names which could in principle clash

¢ use another prefix e.g. TEST_

¢ change file names so that they are more uniform: e.g. prefixes such as Lecture, Test etc.

Priority is now low; target now 5.3.6.... this issue is not really urgent (no problems have ever been encountered).
